Summary:	Library implementing the SSH protocol
Summary(pl.UTF-8):	Biblioteka implementująca protokół SSH
Name:		libssh
Version:	0.11.1
Release:	1%{?tld}
Epoch:		1
License:	LGPL v2.1+; parts are BSD-licensed
Group:		Libraries
Source0:	https://www.libssh.org/files/0.11/%{name}-%{version}.tar.xz
# Source0-md5:	93e6fe0c9effb216a48b8b6bc1e4a576
URL:		https://www.libssh.org/
BuildRequires:	cmake >= 3.12.0
BuildRequires:	heimdal-devel
# also possible: libgcrypt>=1.5.0 (WITH_GCRYPT), mbedtls (WITH_MBEDTLS)
BuildRequires:	openssl-devel >= 1.1.1
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel >= 1.2
Requires:	openssl >= 1.1.1
Requires:	zlib >= 1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The ssh library was designed to be used by programmers needing a
working SSH implementation by the mean of a library. The complete
control of the client is made by the programmer. With libssh, you can
remotely execute programs, transfer files, use a secure and
transparent tunnel for your remote programs. With its Secure FTP
implementation, you can play with remote files easily, without
third-party programs others than libcrypto (from openssl).

%description -l pl.UTF-8
Biblioteka ssh została zaprojektowana do używania przez programistów
potrzebujących działającej implementacji SSH w postaci biblioteki. Za
pomocą libssh można przesyłać pliki, zdalnie uruchamiać programy bądź
też tworzyć na ich potrzeby bezpieczne i przezroczyste tunele. Dzięki
zawartej implementacji protokołu Secure FTP programista ma możliwość
łatwego wykonywania operacji na zdalnych plikach bez konieczności
korzystania z dodatkowego zewnętrznego oprogramowania poza biblioteką
libcrypto (pakiet openssl).

%package devel
Summary:	Header files for libssh library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libssh
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files for libssh library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libssh.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DWITH_BLOWFISH_CIPHER=ON

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BSD CHANGELOG README
%attr(755,root,root) %{_libdir}/libssh.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libssh.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libssh.so
%{_includedir}/libssh
%{_pkgconfigdir}/libssh.pc
%{_libdir}/cmake/libssh
%changelog
* Mon Dec 02 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libssh.git;a=log;h=master

* Sat Oct 05 2024 Jakub Bogusz <qboosh@pld-linux.org> 5e07072
- updated to 0.11.1 (DSA support removed, Blowfish deprecated)

* Mon Dec 18 2023 Jan Palus <atler@pld-linux.org> 319df06
- up to 0.10.6 (fixes CVE-2023-6004 CVE-2023-48795 CVE-2023-6918)

* Thu May 04 2023 Jan Palus <atler@pld-linux.org> 0b9e864
- BRs for tar.xz source

* Thu May 04 2023 Jan Palus <atler@pld-linux.org> 6deda1e
- up to 0.10.5 (fixes CVE-2023-1667 CVE-2023-2283)

* Fri Oct 07 2022 Jakub Bogusz <qboosh@pld-linux.org> 2b9a3c1
- updated to 0.10.4
- dropped outdated openssl3 patch (wasn't it cmake issue?)

* Wed Sep 29 2021 Jan Rękorajski <baggins@pld-linux.org> 63aac5f
- up to 0.9.6, fixes CVE-2021-3634

* Thu Sep 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 90df191
- updated to 0.9.5 (fixes CVE-2020-16135)

* Sat May 16 2020 Jakub Bogusz <qboosh@pld-linux.org> a1de956
- updated to 0.9.4 (fixes CVE-2020-1730)

* Fri Mar 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 44e28a0
- updated to 0.9.3 (fixes CVE-2019-14889)

* Wed Jul 17 2019 Jakub Bogusz <qboosh@pld-linux.org> f9e70da
- updated to 0.9.0

* Fri Jan 04 2019 Jakub Bogusz <qboosh@pld-linux.org> 8fecdbd
- updated to 0.8.6

* Wed Nov 07 2018 Jakub Bogusz <qboosh@pld-linux.org> d978c69
- updated to 0.8.5

* Wed Oct 17 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 18aea53
- up to 0.8.4; fixes CVE-2018-10933

* Tue Sep 18 2018 Jan Palus <atler@pld-linux.org> 4cb8cb9
- up to 0.8.2

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8403cbf
- release 3 (by relup.sh)

* Fri Sep 14 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f67f8fa
- release 2 (by relup.sh)

* Tue Aug 01 2017 Jakub Bogusz <qboosh@pld-linux.org> 0df88e0
- updated Source URL

* Thu May 25 2017 Jakub Bogusz <qboosh@pld-linux.org> b6248e3
- updated to 0.7.5

* Sun Jun 26 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 757caa2
- up to 0.7.3; fixed CVE-2016-0739, CVE-2015-3146

* Tue Mar 10 2015 Jakub Bogusz <qboosh@pld-linux.org> ff6b9e5
- Merge branch 'master' of git://git.pld-linux.org/packages/libssh

